Package twisted :: Package conch :: Package ssh :: Module session :: Class SSHSession

[frames | no frames]

## Class SSHSession

    SSHChannel --+
                 |
                SSHSession

Method Summary
| `__init__(self, *args, **kw)`
| ``closed`(self)` Called when the channel is closed.
| ``dataReceived`(self, data)` Called when we receive data.
| ``eofReceived`(self)` Called when the other side will send no more data.
| ``extReceived`(self, dataType, data)` Called when we receive extended data (usually standard error).
| `getPtyOwnership(self)`
| ``loseConnection`(self)` Close the channel.
| `request_exec(self, data)`
| `request_pty_req(self, data)`
| `request_shell(self, data)`
| `request_subsystem(self, data)`
| `request_window_change(self, data)`
| `setModes(self)`
| ``subsystem_python`(self)` This is disabled by default, because it allows access to a python shell running as the owner of the process.
| `subsystem_sftp(self)`
Inherited from SSHChannel
| ``__str__`(self)`
| ``addWindowBytes`(self, bytes)` Called when bytes are added to the remote window.
| ``channelOpen`(self, specificData)` Called when the channel is opened.
`tuple` | ``getHost`(self)` Return a tuple describing our side of the connection.
`tuple` | ``getPeer`(self)` Return a tuple describing the other side of the connection.
| ``openFailed`(self, reason)` Called when the the open failed for some reason.
`bool` | ``requestReceived`(self, requestType, data)` Called when a request is sent to this channel.
| ``startWriting`(self)` Called when the remote buffer has more room, as a hint to continue writing.
| ``stopWriting`(self)` Called when the remote buffer is full, as a hint to stop writing.
| ``write`(self, data)` Write some data to the channel.
| ``writeExtended`(self, dataType, data)` Send extended data to this channel.
| ``writeSequence`(self, data)` Part of the Transport interface.

Class Variable Summary
`str` | `name` = `'session'`

Method Details

### closed(self)

Called when the channel is closed.

  Overrides:
    `twisted.conch.ssh.channel.SSHChannel.closed` (inherited documentation)

### dataReceived(self, data)

Called when we receive data.

  Parameters:
    `data`
    (type=`str`)
  Overrides:
    `twisted.conch.ssh.channel.SSHChannel.dataReceived` (inherited documentation)

### eofReceived(self)

Called when the other side will send no more data.

  Overrides:
    `twisted.conch.ssh.channel.SSHChannel.eofReceived` (inherited documentation)

### extReceived(self, dataType, data)

Called when we receive extended data (usually standard error).

  Parameters:
    `dataType`
    (type=`int`)
    `data`
    (type=`str`)
  Overrides:
    `twisted.conch.ssh.channel.SSHChannel.extReceived` (inherited documentation)

### loseConnection(self)

Close the channel.

  Overrides:
    `twisted.conch.ssh.channel.SSHChannel.loseConnection` (inherited documentation)

### subsystem_python(self)

This is disabled by default, because it allows access to a python shell running as the owner of the process.

Class Variable Details

### name

  Type:
    `str`
  Value:

        'session'

Generated by Epydoc 2.0 on Wed Feb 25 07:36:38 2004 | http://epydoc.sf.net